<template>
    <div class="tab-pane table-responsive active" id="ShowExchangeRates">
        <div v-if="error || success" class="row clearfix">
            <div class="col-md-12">
            <div
                v-if="error"
                class="alert alert-danger alert-dismissible fade show"
                role="alert"
            >
                {{ error }}
                <button
                    type="button"
                    class="close"
                    data-dismiss="alert"
                    aria-label="Close"
                    @click="error = ''"
                >
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div
                v-if="success"
                class="alert alert-success alert-dismissible fade show"
                role="alert"
            >
                {{ success }}
                <button
                    type="button"
                    class="close"
                    data-dismiss="alert"
                    aria-label="Close"
                    @click="success = ''"
                >
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
        </div>
        <table class="table m-b-1 table-hover">
            <thead>
                <tr>
                    <th>{{ field.country }}</th>
                    <th>{{ field.rate }}</th>
                    <th>{{ field.action }}</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(i,index) of rate" :key="i.id">
                    <td> <i :class="'flag flag-icon-'+ flag(i.pais.name)" style="color: rgba(0,0,0,0); background-repeat: no-repeat">US</i> {{i.pais ? i.pais.name : ''}}</td>
                    <td v-if="editar != index">{{i.rate}} {{i.courrency}}</td>
                    <td v-if="editar == index">
                        <table>
                            <tbody>
                                <tr>
                                    <input v-model="i.rate" type="text" value="" class="form-control">
                                </tr>
                                <tr>
                                    <input v-model="i.courrency" type="text" value="" class="form-control">
                                </tr>
                                <tr>
                                    <div class="row">
                                        <div class="col-6">
                                            <button @click.prevent="update(i,i.id)" class="btn btn-success btn-sm" v-html="field.buttons.accept"></button>
                                        </div>
                                        <div class="col-6">
                                            <button class="btn btn-danger btn-sm" @click.prevent="editar = null" v-html="field.buttons.cancel"></button>
                                        </div>
                                    </div>
                                </tr>
                            </tbody>
                        </table>

                    </td>
                    <td>
                        <button class="btn btn-primary btn-sm" @click.prevent="editar = index" v-html="field.buttons.edit"></button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</template>
<script>
export default {
    props: ["lang"],
    mounted() {
        this.get()
    },
    data() {
        return {
            editar: null,
            rate: [],
            field: this.lang.show,
            error: null,
            success: null
        };
    },
    methods: {
        flag(s){
            let str = s.toLowerCase()
            return str.substr(0,2);
        },
        async get(){
            let url = "/api/settings/rates";
            await axios.get(url).then(
                res => {
                    this.rate = res.data;
                    
                }
            ).catch(
                err => {
                    console.error(err);
                }
            )
        },
        async update(data,user){
            let url = "/api/settings/rates/";
            await axios.put(url+user,data).then(res => {
                this.error = null;
                this.success = res.data.message;
                this.editar = null;
                this.get();
            }).catch(
                err => {
                    this.error = err;
                    this.success = null;

                }
            )
        }
    }
};
</script>
<style></style>
